org.openstreetmap.josm.plugins.streetside.model

## Class MapObject

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.model.KeyIndexedObject
  - - org.openstreetmap.josm.plugins.streetside.model.MapObject

-     public class MapObject
      extends KeyIndexedObject

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private org.openstreetmap.josm.data.coor.LatLon` | `coordinate`
    `private long` | `firstSeenTime`
    `private static javax.swing.ImageIcon` | `ICON_UNKNOWN_TYPE`
    `private long` | `lastSeenTime`
    `private java.lang.String` | `objPackage`
    `private long` | `updatedTime`
    `private java.lang.String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapObject(org.openstreetmap.josm.data.coor.LatLon coordinate, java.lang.String key, java.lang.String objPackage, java.lang.String value, long firstSeenTime, long lastSeenTime, long updatedTime)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.openstreetmap.josm.data.coor.LatLon` | `getCoordinate()`
    `long` | `getFirstSeenTime()`
    `static javax.swing.ImageIcon` | `getIcon(java.lang.String objectTypeID)`
    `long` | `getLastSeenTime()`
    `java.lang.String` | `getPackage()`
    `long` | `getUpdatedTime()`
    `java.lang.String` | `getValue()`

    - ### Methods inherited from class org.openstreetmap.josm.plugins.streetside.model.KeyIndexedObject

      `equals, getKey, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ICON_UNKNOWN_TYPE

          private static final javax.swing.ImageIcon ICON_UNKNOWN_TYPE

    - #### coordinate

          private final org.openstreetmap.josm.data.coor.LatLon coordinate

    - #### objPackage

          private final java.lang.String objPackage

    - #### value

          private final java.lang.String value

    - #### firstSeenTime

          private final long firstSeenTime

    - #### lastSeenTime

          private final long lastSeenTime

    - #### updatedTime

          private final long updatedTime

  - ### Constructor Detail

    - #### MapObject

          public MapObject(org.openstreetmap.josm.data.coor.LatLon coordinate,
                           java.lang.String key,
                           java.lang.String objPackage,
                           java.lang.String value,
                           long firstSeenTime,
                           long lastSeenTime,
                           long updatedTime)

  - ### Method Detail

    - #### getCoordinate

          public org.openstreetmap.josm.data.coor.LatLon getCoordinate()

    - #### getIcon

          public static javax.swing.ImageIcon getIcon(java.lang.String objectTypeID)

      Parameters:
        `objectTypeID` - the `String` representing the type of map object. This ID can be retrieved via `getValue()` for any given `MapObject`.
      Returns:
        the icon, which represents the given objectTypeID

    - #### getPackage

          public java.lang.String getPackage()

    - #### getFirstSeenTime

          public long getFirstSeenTime()

    - #### getLastSeenTime

          public long getLastSeenTime()

    - #### getUpdatedTime

          public long getUpdatedTime()

    - #### getValue

          public java.lang.String getValue()

JOSM Plugins